﻿<?php
class Mage_Mymodule_BlogController extends Mage_Core_Controller_Front_Action
{
	public function indexAction() #默认方法
	{	
		$blog = Mage::getModel('mymodule/blog');  #获取模型实例
		$params = $this->getRequest()->getParams();	 #获取页面的GET过来的数据ID
	    $blog->load($params['id']);  #提取指定ID的数据
		$data=$blog->getData(); #提取指定ID行的全部数据如果要提取单个用getData('name')
		var_dump($data); #打印数组
	}
	function insterAction() #访问页面直接写入数据
	{
		$blog=Mage::getModel('mymodule/blog'); #实例模型
		$blog->setName('电话号码'); #name字段的值
		$blog->setPhone('13823811'); #phone字段的值
		$blog->save(); #写入
		echo "数据写入完成!";
		#请确保页面是UTF-8格式,否则写入乱码!
	}
	function forminsterAction() #表单POST调用写入数据
	{
		#在这就不对数据进行是否空值等判断了
		$data=$this->getRequest()->getPost(); #获取POST过来的数据
		#注意到了这里是数组了哦
		#echo $data['name']."</br>".$data['phone'];
		$blog=Mage::getModel('mymodule/blog'); #实例模型
		$blog->setName($data['name']); #name字段的值
		$blog->setPhone($data['phone']); #phone字段的值
		if($blog->save()) #如果写入成功
		{
			#调用布局
			$this->loadLayout();
			$this->renderLayout();
			#这时候我们需要给该方法写个布局,local.xml里增加个
			/*在这里我们调用的视图里,只是提示写入数据成功并且输入的参数
			要么在视图里实例Model,直接视图里操作,不过这就不符合MVC了.
			为此我们新创建一个ceshiAction()的方法
			*/
		}
		else
		{
			echo "error_forminsterAction";
		}
	}
	function ceshiAction() #引用Block
	{
		#首先我们在index.phtml视图里增加另外一个表单,把值传到这里来
		#首先我们调用布局
		$this->loadLayout();
		$this->renderLayout();
		#我们要注意布局里的写法. 跟踪到local.xml文件
		/*
		<mymodule_blog_ceshi>
		<reference name="root">
		<block type="page/html" name="root" output="toHtml" template="mymodule/ceshi.phtml"/>
		<block type="mymodule/ceshi" name="ceshi" template="mymodule/formceshi.phtml"/>
		</reference>
		</mymodule_blog_ceshi>
		*/
		#第一个是因为有output表示重写页面
		#第二个是需要调用的,我们注意下:mymodule/ceshi
		#所以block目录里创建Ceshi.php文件
		#同时在config.xml里的<global>节点里加入快的类定义<blocks>
		#我们跟踪到mymodule/formceshi.phtml文件
	}
}
